> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Workday Settlement CSV

> Name and signature indicate it generates workday settlement csv

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/generate-workday-settlement-csv
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/generate-workday-settlement-csv:
    post:
      operationId: generateWorkdaySettlementCSV
      summary: Generate Workday Settlement CSV
      description: |-
        Name and signature indicate it generates workday settlement csv

        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateWorkdaySettlementCSVRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateWorkdaySettlementCSVResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GenerateWorkdaySettlementCSVRequest:
      type: object
      properties:
        tokenPayrollID:
          type: string
          format: uuid
        contributorInTokenPayrollIDs:
          type: array
          items:
            type: string
            format: uuid
          maxItems: 500
      required:
        - tokenPayrollID
    GenerateWorkdaySettlementCSVResponse:
      type: object
      properties:
        xlsxData:
          type: string
          pattern: ^[A-Za-z0-9+\x2F]*={0,2}$
        filename:
          type: string
          pattern: ^import_deductions_to_workday_\d{4}-\d{2}-\d{2}\.xlsx$
      required:
        - xlsxData
        - filename
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
